Bug 76539 - setenv syntax error when concatenating variable names
setenv syntax error when concatenating variable names
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2002-10-22 21:54 EDT by Elmer J. Fudd
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-19 12:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Elmer J. Fudd 2002-10-22 21:54:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I get a syntax error when trying to concatenate variable names in tcsh,
specifically when creating a new variable in a call to setenv.  The new variable
name is the value held in another defined variable appended with another string.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.set var1=value1
2.setenv $var1'db' value2
3.env | grep $var1

Actual Results:  > set var1=value1
> setenv $var1'db' value2
setenv: Syntax Error
> env | grep $var1
<blank line>

Expected Results:  > set var1=value1
> setenv $var1'db' value2
> env | grep $var1

Additional info:
Comment 1 Miloslav Trmač 2004-08-19 12:15:27 EDT
This is fixed in tcsh-6.13-1 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.